This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 620450 - (CVE-2010-2800) CVE-2010-2800 cabextract: Infinite loop in MS-ZIP and Quantum decoders
CVE-2010-2800 cabextract: Infinite loop in MS-ZIP and Quantum decoders
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100730,reported=20100730,sou...
: Security
Depends On: 620457
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 10:50 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-27 17:46:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-08-02 10:50:34 EDT
A deficiency has been reported in the way cabextract extracted
certain Cabinet (*.cab) files, using the MZ-ZIP and Quantum decompressors.
If a local user was tricked into opening a specially-crafted *.cab
file, it could lead to infinite loop.

References:
  [1] http://bugs.gentoo.org/show_bug.cgi?id=329891

Upstream patches:
  [2] http://libmspack.svn.sourceforge.net/viewvc/libmspack?view=revision&revision=90
  [3] http://libmspack.svn.sourceforge.net/viewvc/libmspack?view=revision&revision=95
  [4] http://libmspack.svn.sourceforge.net/viewvc/libmspack/libmspack/trunk/mspack/
Comment 1 Jan Lieskovsky 2010-08-02 11:01:45 EDT
This issue affects the versions of the cabextract package,
as shipped with Fedora release of 12 and 13.

Please fix.
Comment 2 Jan Lieskovsky 2010-08-02 11:08:55 EDT
Created cabextract tracking bugs for this issue

Affects: fedora-all [bug 620457]
Comment 3 Jan Lieskovsky 2010-08-03 04:33:07 EDT
The CVE identifier of CVE-2010-2800 has been assigned to this.
Comment 4 Dan Horák 2010-08-28 04:44:05 EDT
cabextract (together with wine and openoffice.org per libmspack upstream) should use the system-wide libmspack library instead of an embedded copy

Note You need to log in before you can comment on or make changes to this bug.